Subject: Re: bug#42052: 28.0.50; tab-bar-mode should be frame-local

From: Juri Linkov <[email-masked]>
Date: Sun, 28 Jun 2020 02:40:27 +0300

> When setting tab-bar-show to `1`, I expect the tab bar to only show if
> there is more than one tab in the frame.
>
> This behaves as expected when there is only one frame, but if I have
> multiple frames open, then if any one of them has more than one tab, it
> turns on tab-bar-mode, which then makes any other frame show the tab
> bar, even if they only have one tab in them.
>
> Would it be possible to have tab-bar-mode showing be frame-local?

Thanks for the request, I see this means a request for a new feature of
enabling the tab-bar separately on each frame independently from
other frames.

When some time ago I asked on emacs-devel about the need for a such feature,
proposing to add a new function global-tab-bar-mode, no one wanted it.
But nevertheless it could be created now anyway.

If someone will point out an example of frame-local modes,
this could help in implementing the same for tab-bar-mode.

I can find only toggle-tool-bar-mode-from-frame, but actually
it's still not frame-local.